// Copyright ©2015 The Gonum Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

package gonum

// This list is duplicated in netlib/lapack/netlib. Keep in sync.
const (
	absIncNotOne  = "lapack: increment not one or negative one"
	badAlpha      = "lapack: bad alpha length"
	badApplyOrtho = "lapack: bad ApplyOrtho"
	badAuxv       = "lapack: auxv has insufficient length"
	badBeta       = "lapack: bad beta length"
	badD          = "lapack: d has insufficient length"
	badDiag       = "lapack: bad diag"
	badDims       = "lapack: bad input dimensions"
	badDirect     = "lapack: bad direct"
	badE          = "lapack: e has insufficient length"
	badEVComp     = "lapack: bad EVComp"
	badEVHowMany  = "lapack: bad EVHowMany"
	badEVJob      = "lapack: bad EVJob"
	badEVSide     = "lapack: bad EVSide"
	badGenOrtho   = "lapack: bad GenOrtho"
	badGSVDJob    = "lapack: bad GSVDJob"
	badIlo        = "lapack: ilo out of range"
	badIhi        = "lapack: ihi out of range"
	badIpiv       = "lapack: bad permutation length"
	badBalanceJob = "lapack: bad BalanceJob"
	badK1         = "lapack: k1 out of range"
	badK2         = "lapack: k2 out of range"
	badKperm      = "lapack: incorrect permutation length"
	badLdA        = "lapack: index of a out of range"
	badNb         = "lapack: nb out of range"
	badNorm       = "lapack: bad norm"
	badPivot      = "lapack: bad pivot"
	badS          = "lapack: s has insufficient length"
	badSchurComp  = "lapack: bad SchurComp"
	badSchurJob   = "lapack: bad SchurJob"
	badShifts     = "lapack: bad shifts"
	badSide       = "lapack: bad side"
	badSlice      = "lapack: bad input slice length"
	badSort       = "lapack: bad Sort"
	badStore      = "lapack: bad store"
	badTau        = "lapack: tau has insufficient length"
	badTauQ       = "lapack: tauQ has insufficient length"
	badTauP       = "lapack: tauP has insufficient length"
	badTrans      = "lapack: bad trans"
	badVn1        = "lapack: vn1 has insufficient length"
	badVn2        = "lapack: vn2 has insufficient length"
	badUplo       = "lapack: illegal triangle"
	badWork       = "lapack: insufficient working memory"
	badZ          = "lapack: insufficient z length"
	kGTM          = "lapack: k > m"
	kGTN          = "lapack: k > n"
	kLT0          = "lapack: k < 0"
	mLT0          = "lapack: m < 0"
	mLTN          = "lapack: m < n"
	nanScale      = "lapack: NaN scale factor"
	negDimension  = "lapack: negative matrix dimension"
	negZ          = "lapack: negative z value"
	nLT0          = "lapack: n < 0"
	nLTM          = "lapack: n < m"
	offsetGTM     = "lapack: offset > m"
	shortWork     = "lapack: working array shorter than declared"
	zeroDiv       = "lapack: zero divisor"
)
